Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
Class GroovyScriptEngineFactory

    java.lang.Object
      org.codehaus.groovy.jsr223.GroovyScriptEngineFactory

All Implemented Interfaces:
  ScriptEngineFactory

    class GroovyScriptEngineFactory
    extends Object

Constructor Summary
`GroovyScriptEngineFactory()`

Method Summary
`String` | `getEngineName()`
`String` | `getEngineVersion()` Note that the scripting.dev.java.net engine had this backwards.
`List` | `getExtensions()`
`String` | `getLanguageName()` This is also different than scripting.dev.java.net which used an initial lowercase.
`String` | `getLanguageVersion()`
`String` | `getMethodCallSyntax(String obj, String method, String args)`
`List` | `getMimeTypes()`
`List` | `getNames()`
`String` | `getOutputStatement(String toDisplay)`
`Object` | `getParameter(String key)`
`String` | `getProgram(String statements)`
`ScriptEngine` | `getScriptEngine()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyScriptEngineFactory

    GroovyScriptEngineFactory()

Method Detail

### getEngineName

    public String getEngineName()

### getEngineVersion

    public String getEngineVersion()

  Note that the scripting.dev.java.net engine had this backwards. The engine version refers to this engine implementation. Whereas language version refers to the groovy implementation (which is obtained from the runtime).

### getExtensions

    public List getExtensions()

### getLanguageName

    public String getLanguageName()

  This is also different than scripting.dev.java.net which used an initial lowercase. But these are proper names and should be capitalized.

### getLanguageVersion

    public String getLanguageVersion()

### getMethodCallSyntax

    public String getMethodCallSyntax(String obj, String method, String args)

### getMimeTypes

    public List getMimeTypes()

### getNames

    public List getNames()

### getOutputStatement

    public String getOutputStatement(String toDisplay)

### getParameter

    public Object getParameter(String key)

### getProgram

    public String getProgram(String statements)

### getScriptEngine

    public ScriptEngine getScriptEngine()

Copyright © 2003-2009 The Codehaus. All rights reserved.